diff --git a/debian/initramfs/cryptroot-script b/debian/initramfs/cryptroot-script
index 01e568f..b8563e7 100644
--- a/debian/initramfs/cryptroot-script
+++ b/debian/initramfs/cryptroot-script
@@ -70,7 +70,6 @@ parse_options()
 	cryptkeyscript=""
 	cryptkey="" # This is only used as an argument to an eventual keyscript
 	cryptkeyslot=""
-	crypttries=3
 	crypttcrypt=""
 	cryptveracrypt=""
 	cryptrootdev=""
@@ -124,14 +123,6 @@ parse_options()
 		keyslot=*)
 			cryptkeyslot=${x#keyslot=}
 			;;
-		tries=*)
-			crypttries="${x#tries=}"
-			case "$crypttries" in
-			  *[![:digit:].]*)
-				crypttries=3
-				;;
-			esac
-			;;
 		tcrypt)
 			crypttcrypt="yes"
 			;;
@@ -179,7 +170,7 @@ activate_vg()
 
 setup_mapping()
 {
-	local opts count cryptopen cryptremove NEWROOT
+	local opts cryptopen cryptremove NEWROOT
 	opts="$1"
 
 	if [ -z "$opts" ]; then
@@ -265,7 +256,6 @@ setup_mapping()
 
 	# We've given up, but we'll let the user fix matters if they can
 	if [ ! -e "${cryptsource}" ]; then
-		
 		echo "  ALERT! ${cryptsource} does not exist."
 		echo "	Check cryptopts=source= bootarg: cat /proc/cmdline"
 		echo "	or missing modules, devices: cat /proc/modules; ls /dev"
@@ -298,9 +288,9 @@ setup_mapping()
 	cryptremove="/sbin/cryptsetup remove $crypttarget"
 	NEWROOT="/dev/mapper/$crypttarget"
 
-	# Try to get a satisfactory password $crypttries times
+	# Try to get a satisfactory password
 	count=0
-	while [ $crypttries -le 0 ] || [ $count -lt $crypttries ]; do
+	while true; do
 		export CRYPTTAB_TRIED="$count"
 		count=$(( $count + 1 ))
 
@@ -363,18 +353,6 @@ setup_mapping()
 		break
 	done
 
-	failsleep=15
-	if [ $crypttries -gt 0 ] && [ $count -ge $crypttries ]; then
-		message "cryptsetup: maximum number of tries exceeded for $crypttarget"
-		message "cryptsetup: going to reboot in $failsleep seconds..."
-		sleep $failsleep
-		reboot -f
-		message "cryptsetup: reboot failed, going to sleep forever..."
-		while true; do
-			sleep 60
-		done
-	fi
-
 	udev_settle
 	return 0
 }
